Bug 1743844 - [RFE] Build gparted for EPEL 8
Summary: [RFE] Build gparted for EPEL 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: gparted
Version: epel8
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-20 19:21 UTC by Thomas Stephen Lee
Modified: 2019-09-12 09:10 UTC (History)
4 users (show)

Fixed In Version: gparted-1.0.0-4.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-11 03:20:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Thomas Stephen Lee 2019-08-20 19:21:30 UTC
Hi,

Below are the steps to compile gparted for EPEL 8

rpm -i https://dl.fedoraproject.org/pub/fedora/linux/releases/30/Everything/source/tree/Packages/g/gnome-doc-utils-0.20.10-17.fc30.src.rpm
rpm -i https://dl.fedoraproject.org/pub/fedora/linux/releases/30/Everything/source/tree/Packages/l/libxml2-2.9.9-2.fc30.src.rpm
rpm -i https://dl.fedoraproject.org/pub/fedora/linux/updates/30/Everything/SRPMS/Packages/g/gparted-1.0.0-1.fc30.src.rpm

yum install -y gtkmm30-devel  libuuid-devel  parted-devel  gtkmm30-devel  libuuid-devel  parted-devel  libxslt-devel  python2-devel  libxslt-devel  python2-devel libxslt-devel  python36-devel cmake-rpm-macros

rpmbuild -ba libxml2.spec

yum install /home/mockbuild/rpmbuild/RPMS/x86_64/libxml2-2.9.9-2.el8.x86_64.rpm  /home/mockbuild/rpmbuild/RPMS/x86_64/libxml2-devel-2.9.9-2.el8.x86_64.rpm  /home/mockbuild/rpmbuild/RPMS/x86_64/python2-libxml2-2.9.9-2.el8.x86_64.rpm /home/mockbuild/rpmbuild/RPMS/x86_64/python2-libxml2-2.9.9-2.el8.x86_64.rpm /home/mockbuild/rpmbuild/RPMS/x86_64/python3-libxml2-2.9.9-2.el8.x86_64.rpm

rpmbuild -ba gnome-doc-utils.spec

yum install /home/mockbuild/rpmbuild/RPMS/noarch/gnome-doc-utils-0.20.10-17.el8.noarch.rpm /home/mockbuild/rpmbuild/RPMS/noarch/gnome-doc-utils-stylesheets-0.20.10-17.el8.noarch.rpm -y

rpmbuild -ba gparted.spec

Please release for EPEL 8.

thanks.

Comment 1 Mukundan Ragavan 2019-08-20 21:35:29 UTC
I can build if other packages are available. Let me look.

Comment 2 Thomas Stephen Lee 2019-08-26 17:32:22 UTC
Build without dependencies not in RHEL 8 or EPEl 8.

$ rpm -i https://dl.fedoraproject.org/pub/fedora/linux/updates/30/Everything/SRPMS/Packages/g/gparted-1.0.0-1.fc30.src.rpm
$ vim rpmbuild/SPECS/gparted.spec

# Comment out this line. (15)
#BuildRequires: gnome-doc-utils 

$ rpmbuild -ba rpmbuild/SPECS/gparted.spec

Comment 3 Thomas Stephen Lee 2019-08-26 17:38:49 UTC
Related bug.

https://bugzilla.redhat.com/show_bug.cgi?id=1737996

Comment 4 Mukundan Ragavan 2019-08-26 21:33:09 UTC
gparted does not need gnome-doc-utils anymore. I will build this as soon as I can.

Comment 5 Fedora Update System 2019-08-26 22:08:24 UTC
FEDORA-EPEL-2019-c6a04a0f89 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-c6a04a0f89

Comment 6 Fedora Update System 2019-08-27 19:32:35 UTC
gparted-1.0.0-4.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-c6a04a0f89

Comment 7 Thomas Stephen Lee 2019-08-29 09:03:55 UTC
Works fine on RHEL 8.

on RHEL 8.1 Beta,

dnf install https://dl.fedoraproject.org/pub/epel/playground/8/Everything/x86_64/os/Packages/g/gparted-1.0.0-4.epel8.playground.x86_64.rpm

gives

Error: Problem: conflicting requests - nothing provides PolicyKit-authentication-agent needed by gparted-1.0.0-4.epel8.playground.x86_64 (try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

I cannot find PolicyKit-authentication-agent in RHEL 8 but gparted installs without errors.

Wondering what is happening ?

thanks.

Comment 8 Thomas Stephen Lee 2019-08-30 09:44:00 UTC
RHEL 8.1 Beta issue solved.

https://bugzilla.redhat.com/show_bug.cgi?id=1737160

this was preventing from installing EPEL 8 packages on RHEL 8.1 Beta.

remade RPMs from fedora 30 and rawhide to fix

https://bugzilla.redhat.com/show_bug.cgi?id=1719830
https://bugzilla.redhat.com/show_bug.cgi?id=1726141


now able to install EPEL 8 and

dnf install gparted

works on RHEL 8.1 Beta.

thanks.

Comment 9 Fedora Update System 2019-09-11 03:20:52 UTC
gparted-1.0.0-4.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Sayed Anowar 2019-09-11 18:44:48 UTC
Above mentioned issue still persists I guess. Today I tried to install [epel8 stable repo] in RHEL 8. Same error

Updating Subscription Management repositories.
Last metadata expiration check: 0:00:17 ago on Wednesday 11 September 2019 11:43:40 PM IST.
Error: 
 Problem: conflicting requests
  - nothing provides PolicyKit-authentication-agent needed by gparted-1.0.0-4.el8.x86_64
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

Comment 11 Thomas Stephen Lee 2019-09-12 09:10:06 UTC
try

dnf --enablerepo=epel-playground install gparted

many dependencies are still in playground I guess.

thanks.


Note You need to log in before you can comment on or make changes to this bug.